#!/bin/bash


FFOO_EXIT_OK=0
FFOO_EXIT_NO=1
FFOO_EXIT_USAGE=2
FFOO_EXIT_ERROR=3
FFOO_EXIT_PANIC=4


exit_ok() {
    #
    # Exit script with success
    #
    exit $FFOO_EXIT_OK
}


exit_no() {
    #
    # Exit script with answer "no"
    #
    exit $FFOO_EXIT_NO
}


exit_usage() {
    #
    # Exit script with usage error
    #
    exit $FFOO_EXIT_USAGE
}


exit_error() {
    #
    # Exit script with generic unexpected error
    #
    exit $FFOO_EXIT_ERROR
}


exit_panic() {
    #
    # Exit script in panic (e.g. assert failure, sure bug)
    #
    exit $FFOO_EXIT_PANIC
}
